<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Lit, écrit, ou efface une variable
 */
function acs_get($var) {
	if (isset($GLOBALS['meta'][$var])) {
		return $GLOBALS['meta'][$var];
	}	else {
		return false;
	}
}
function acs_set($var, $value) {
	if ($value && strlen($value) > 0) {
		ecrire_meta($var, $value);
	}
	else {
		effacer_meta($var);
	}
}
function acs_unset($var) {
	acs_set($var, null);
}
/**
 * Force un recalcul des pages, CSS et scripts mis en cache ACS
 */
function acs_recalcul() {
	acs_set('ACS_MAJ', time());
	touch_meta(false); // Force la reecriture du cache SPIP des metas
}

	/**
 * Journalise les actions du plugin ACS si _ACS_LOG est supérieur à 0 dans acs_options.php
 * @param txt: texte à journaliser
 * @param gravite: cf. acs_options.php
 */
function acs_log($txt, $gravite = _LOG_HS) {
	if (_ACS_LOG > _LOG_HS) {
		spip_log(debug_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS, 2)[1]['function'] . (substr($txt, 0, 1) === '(' ? '' : ' ') . $txt, 'acs', _LOG_FILTRE_GRAVITE);
	}
}
/**
 * Retourne un objet ou un tableau sous forme de tableau affichable en html
 * @param r : objet ou tableau
 * @param html : retourne du html si vrai
 * @return : objet ou tableau en mode texte ou html lisible
 */
function dbg($r, $html = false) {
	if (is_object($r) or is_array($r)) {
			ob_start();
			print_r($r);
			$r = ob_get_contents();
			ob_end_clean();
			if ($html) {
				$r = htmlentities($r);
			}
			$srch = ['/Array[\n\r]/', '/\s*[\(\)]+/', '/[\n\r]+/', '/ (?= )/s'];
			$repl = ['', '', "\n" , ($html ? '&nbsp;' : ' ')];
			$r = preg_replace($srch, $repl, $r);
			if ($html) {
				$r = nl2br($r);
			}
	}
	return $r;
}
